Bug 826211 - [abrt] oggvideotools-0.8-4.fc17: __GI_raise: Process /usr/bin/oggJoin was killed by signal 6 (SIGABRT)
[abrt] oggvideotools-0.8-4.fc17: __GI_raise: Process /usr/bin/oggJoin was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: oggvideotools (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
abrt_hash:1202959ff793108590486415d67...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 15:02 EDT by Jason Farrell
Modified: 2013-07-31 23:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.81 KB, text/plain)
2012-05-29 15:02 EDT, Jason Farrell
no flags Details

  None (edit)
Description Jason Farrell 2012-05-29 15:02:44 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        oggJoin f17-plymouth-theme-hot-dog-with-song.ogg f17-plymouth-theme-hot-dog.ogg the-hot-dog-song.wav
comment:        attempting using this tool to losslessly join an ogg video (as recorded by istanbul) and ogg audio as encoded from a .wav by oggenc -q8 into a new container. (I'll just use ffmpeg instead)
crash_function: __GI_raise
executable:     /usr/bin/oggJoin
kernel:         3.3.7-1.fc17.x86_64
pid:            14956
pwd:            /mnt/raid/data/Videos/f17-hot-dog/tmp
time:           Tue 29 May 2012 02:56:03 PM EDT
uid:            1000
username:       jaf
var_log_messages: May 29 14:56:03 ivy abrt[14957]: Saved core dump of pid 14956 (/usr/bin/oggJoin) to /var/spool/abrt/ccpp-2012-05-29-14:56:03-14956 (544768 bytes)

backtrace:      Text file, 5948 bytes

build_ids:
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:4d09d82785dab5f95c01b69bc0785145a5954d30
:afe39d38206989950057e077003f9ecea2cb3feb
:516204cfc31148538d56b21e2f1b945ed50127d4

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jaf/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:afe39d38206989950057e077003f9ecea2cb3feb 0x8430 - [exe] -
:afe39d38206989950057e077003f9ecea2cb3feb 0x848a - [exe] -
:afe39d38206989950057e077003f9ecea2cb3feb 0x4275 - [exe] -
:afe39d38206989950057e077003f9ecea2cb3feb 0x4323 - [exe] -
:afe39d38206989950057e077003f9ecea2cb3feb 0x28e0 - [exe] -

dso_list:
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1337354897
:/usr/lib64/libm-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337354895
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337354895
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337354888
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337354895
:/usr/bin/oggJoin oggvideotools-0.8-4.fc17.x86_64 (Fedora Project) 1338317730

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=ivy.brain.in.a.jar
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/jaf/keyring-JZbGiK/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:WINDOWID=14680104
:GNOME_KEYRING_CONTROL=/run/user/jaf/keyring-JZbGiK
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=jaf
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/jaf/keyring-JZbGiK/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1875,unix/unix:/tmp/.ICE-unix/1875
:USERNAME=jaf
:PATH=/usr/java/default/bin:/usr/java/default/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/jaf/bin:/home/jaf/android/android-sdk-linux_x86/tools:/home/jaf/android/android-sdk-linux_x86/platform-tools
:VMWARE_USE_SHIPPED_GTK=yes
:MAIL=/var/spool/mail/jaf
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/jaf/Videos/f17-hot-dog/tmp
:XMODIFIERS=@im=none
:JAVA_HOME=/usr/java/default
:EDITOR=vim
:GNOME_KEYRING_PID=1868
:LANG=en_US.utf8
:PYTHONSTARTUP=/home/jaf/.pythonstartup
:GDM_LANG=en_US.utf8
:'PS1=\\[\\e[1;31m\\][\\[\\e[0m\\]\\u\\[\\e[37m\\]@\\[\\e[0m\\]\\h\\[\\e[1;30m\\]:\\jj:\\!h:\\[\\e[0;31m\\]$?\\[\\e[1;30m\\]e:$(lsbytesum)MB\\[\\e[0m\\] \\W\\[\\e[1;31m\\]]\\[\\e[0m\\]\\$ '
:GDMSESSION=gnome
:HISTCONTROL=ignoreboth
:HOME=/home/jaf
:XDG_SEAT=seat0
:SHLVL=2
:'PSOLD=\\[\\e[1;31m\\][\\[\\e[0m\\]\\u\\[\\e[37m\\]@\\[\\e[0m\\]\\h\\[\\e[1;30m\\]:\\jj:\\!h:\\[\\e[0;31m\\]$?\\[\\e[1;30m\\]e:$(lsbytesum)MB\\[\\e[0m\\] \\W\\[\\e[1;31m\\]]\\[\\e[0m\\]\\$ '
:GREP_OPTIONS=--color=auto
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=jaf
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-qLeltZKELF,guid=bfc2969afa856f8c91c4fe8800000017
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jaf
:DISPLAY=:0
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-jaf-kgQ96F/database
:_=/usr/bin/oggJoin
:OLDPWD=/home/jaf/Videos/f17-hot-dog

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 119800               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       119800               119800               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:00400000-0041d000 r-xp 00000000 fd:00 171020                             /usr/bin/oggJoin
:0061c000-0061d000 r--p 0001c000 fd:00 171020                             /usr/bin/oggJoin
:0061d000-0061e000 rw-p 0001d000 fd:00 171020                             /usr/bin/oggJoin
:01948000-01969000 rw-p 00000000 00:00 0                                  [heap]
:38ffc00000-38ffc20000 r-xp 00000000 fd:00 163857                         /usr/lib64/ld-2.15.so
:38ffe1f000-38ffe20000 r--p 0001f000 fd:00 163857                         /usr/lib64/ld-2.15.so
:38ffe20000-38ffe21000 rw-p 00020000 fd:00 163857                         /usr/lib64/ld-2.15.so
:38ffe21000-38ffe22000 rw-p 00000000 00:00 0 
:3900000000-39001ac000 r-xp 00000000 fd:00 163881                         /usr/lib64/libc-2.15.so
:39001ac000-39003ac000 ---p 001ac000 fd:00 163881                         /usr/lib64/libc-2.15.so
:39003ac000-39003b0000 r--p 001ac000 fd:00 163881                         /usr/lib64/libc-2.15.so
:39003b0000-39003b2000 rw-p 001b0000 fd:00 163881                         /usr/lib64/libc-2.15.so
:39003b2000-39003b7000 rw-p 00000000 00:00 0 
:3901000000-39010fa000 r-xp 00000000 fd:00 165176                         /usr/lib64/libm-2.15.so
:39010fa000-39012f9000 ---p 000fa000 fd:00 165176                         /usr/lib64/libm-2.15.so
:39012f9000-39012fa000 r--p 000f9000 fd:00 165176                         /usr/lib64/libm-2.15.so
:39012fa000-39012fb000 rw-p 000fa000 fd:00 165176                         /usr/lib64/libm-2.15.so
:3904400000-3904415000 r-xp 00000000 fd:00 165179                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
:3904415000-3904614000 ---p 00015000 fd:00 165179                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
:3904614000-3904615000 rw-p 00014000 fd:00 165179                         /usr/lib64/libgcc_s-4.7.0-20120507.so.1
:390c800000-390c8e5000 r-xp 00000000 fd:00 156685                         /usr/lib64/libstdc++.so.6.0.17
:390c8e5000-390cae4000 ---p 000e5000 fd:00 156685                         /usr/lib64/libstdc++.so.6.0.17
:390cae4000-390caec000 r--p 000e4000 fd:00 156685                         /usr/lib64/libstdc++.so.6.0.17
:390caec000-390caee000 rw-p 000ec000 fd:00 156685                         /usr/lib64/libstdc++.so.6.0.17
:390caee000-390cb03000 rw-p 00000000 00:00 0 
:7f1401082000-7f1401087000 rw-p 00000000 00:00 0 
:7f14010a0000-7f14010a3000 rw-p 00000000 00:00 0 
:7fff8ad1c000-7fff8ad3d000 rw-p 00000000 00:00 0                          [stack]
:7fff8adff000-7fff8ae00000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

open_fds:
:0:/dev/pts/2
:pos:	0
:flags:	0100002
:1:/dev/pts/2
:pos:	0
:flags:	0100002
:2:/dev/pts/2
:pos:	0
:flags:	0100002
:3:/mnt/raid/data/Videos/f17-hot-dog/tmp/f17-plymouth-theme-hot-dog-with-song.ogg
:pos:	0
:flags:	0100001
:4:/mnt/raid/data/Videos/f17-hot-dog/tmp/f17-plymouth-theme-hot-dog.ogg
:pos:	4096
:flags:	0100000
:5:/mnt/raid/data/Videos/f17-hot-dog/tmp/the-hot-dog-song.wav
:pos:	4096
:flags:	0100000

smolt_data:
:
:
:General
:=================================
:UUID: 5e9fa814-5834-4abb-abee-00321199805c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6199.95
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-3770S CPU @ 3.10GHz
:CPU Stepping: 9
:CPU Family: 6
:CPU Model Num: 58
:Number of CPUs: 8
:CPU Speed: 3101
:System Memory: 14994
:System Swap: 0
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:4163:34053) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:354:4163:33994) pci, i915, VIDEO, 3rd Gen Core processor Graphics Controller
:(32902:7729:4163:33994) pci, xhci_hcd, USB, 7 Series Chipset Family USB xHCI Host Controller
:(32902:7696:4163:33994) pci, pcieport, PCI/PCI, 7 Series Chipset Family PCI Express Root Port 1
:(32902:7754:4163:33994) pci, None, PCI/ISA, H77 Express Chipset LPC Controller
:(32902:7704:4163:33994) pci, pcieport, PCI/PCI, 7 Series Chipset Family PCI Express Root Port 5
:(32902:7712:4163:33813) pci, snd_hda_intel, MULTIMEDIA, 7 Series Chipset Family High Definition Audio Controller
:(32902:7714:4163:33994) pci, None, SERIAL, 7 Series Chipset Family SMBus Controller
:(32902:10274:4163:33994) pci, ahci, RAID, 82801 SATA Controller [RAID mode]
:(32902:7725:4163:33994) pci, ehci_hcd, USB, 7 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7718:4163:33994) pci, ehci_hcd, USB, 7 Series Chipset Family USB Enhanced Host Controller #1
:(32902:336:4163:33994) pci, agpgart-intel, HOST/PCI, 3rd Gen Core processor DRAM Controller
:(32902:7738:4163:33994) pci, None, SIMPLE, 7 Series Chipset Family MEI Controller #1
:(32902:337:4163:33994) pci, pcieport, PCI/PCI, 3rd Gen Core processor PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_ivy-rootf17 / ext4 4096 4096 4089774 1269135 1228186 1024000 766568 766568
:/dev/sda1 /boot ext4 1024 1024 508745 423472 397872 128016 127658 127658
:/dev/mapper/vg_ivy-home /home ext4 4096 4096 42609088 38198273 36065077 10665984 10442769 10442769
:/dev/mapper/vg_raid-vm WITHHELD ext4 4096 4096 67031890 63996053 60640610 16777216 16777204 16777204
:/dev/mapper/vg_raid-data WITHHELD ext4 4096 4096 268233681 145353878 131929526 67125248 67028815 67028815
:
Comment 1 Jason Farrell 2012-05-29 15:02:49 EDT
Created attachment 587488 [details]
File: backtrace
Comment 2 Adrian 2012-08-05 01:29:08 EDT
I have three videos (5 minutes each), transcoded from mp4 to theora using ffmpeg2theora on default setting. Once in .ogv format, I attempt to use oggCat to join them together (end to end). It has a fault and dumps core.
After this, I tried the simple 'cat' command, and found it to be effective.


backtrace_rating: 4
Package: oggvideotools-0.8-7.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Fedora End Of Life 2013-07-03 20:11:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 23:38:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.